View | Details | Raw Unified | Return to bug 229012
Collapse All | Expand All

(-)py-salt-2018.3.1/Makefile (-2 / +2 lines)
Lines 2-9 Link Here
2
# $FreeBSD: head/sysutils/py-salt/Makefile 468304 2018-04-25 21:01:46Z sunpoet $
2
# $FreeBSD: head/sysutils/py-salt/Makefile 468304 2018-04-25 21:01:46Z sunpoet $
3
3
4
PORTNAME=	salt
4
PORTNAME=	salt
5
PORTVERSION=	2018.3.0
5
PORTVERSION=	2018.3.1
6
PORTREVISION=	1
6
PORTREVISION=	0
7
CATEGORIES=	sysutils python
7
CATEGORIES=	sysutils python
8
MASTER_SITES=	CHEESESHOP
8
MASTER_SITES=	CHEESESHOP
9
PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
9
PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
(-)py-salt-2018.3.1/distinfo (-3 / +3 lines)
Lines 1-3 Link Here
1
TIMESTAMP = 1523675641
1
TIMESTAMP = 1528982610
2
SHA256 (salt-2018.3.0.tar.gz) = a0a45d22fdf6961542a419b7e09568a3118e2b019ffe7bab9dee5aeb55b56b31
2
SHA256 (salt-2018.3.1.tar.gz) = 7b1d59067b8eb61a23884078e0b8afc02ed8800c5c00f09405ae9e03491ed3db
3
SIZE (salt-2018.3.0.tar.gz) = 13448567
3
SIZE (salt-2018.3.1.tar.gz) = 12939682
(-)py-salt-2018.3.1/files/patch-salt_cloud_deploy_bootstrap-salt.sh (-14 lines)
Lines 1-14 Link Here
1
--- salt/cloud/deploy/bootstrap-salt.sh.orig	2018-03-21 17:37:20 UTC
2
+++ salt/cloud/deploy/bootstrap-salt.sh
3
@@ -4885,9 +4885,9 @@ install_freebsd_9_stable_deps() {
4
         __configure_freebsd_pkg_details || return 1
5
     fi
6
 
7
-    # Now install swig
8
+    # Now install swig30
9
     # shellcheck disable=SC2086
10
-    /usr/local/sbin/pkg install ${FROM_FREEBSD} -y swig || return 1
11
+    /usr/local/sbin/pkg install ${FROM_FREEBSD} -y swig30 || return 1
12
 
13
     # YAML module is used for generating custom master/minion configs
14
     # shellcheck disable=SC2086
(-)py-salt-2018.3.1/files/patch-salt_modules_freebsd__sysctl.py (+11 lines)
Line 0 Link Here
1
--- salt/modules/freebsd_sysctl.py	2018-06-13 10:03:06.000000000 -0600
2
+++ salt/modules/freebsd_sysctl.py	2018-06-14 07:47:40.380542000 -0600
3
@@ -165,7 +165,7 @@
4
     if not edited:
5
         nlines.append("{0}\n".format(_formatfor(name, value, config)))
6
     with salt.utils.files.fopen(config, 'w+') as ofile:
7
-        nlines = [salt.utils.stringutils.to_str(_l) for _l in nlines]
8
+        nlines = [salt.utils.stringutils.to_str(_l) + '\n' for _l in nlines]
9
         ofile.writelines(nlines)
10
     if config != '/boot/loader.conf':
11
         assign(name, value)

Return to bug 229012